# string_type.h File Reference

Types for strings. More...

Go to the source code of this file.

## Defines
#define | NBSP "\xC2\xA0"
| A non-breaking space.
#define | LRM "\xE2\x80\x8E"
| A left-to-right marker, marks the next character as left-to-right.
## Typedefs
typedef uint32 | WChar
## Enumerations
enum | CharSetFilter { CS_ALPHANUMERAL, CS_NUMERAL, CS_NUMERAL_SPACE, CS_ALPHA }
| Valid filter types for IsValidChar. More...
## Variables
static const WChar | CHAR_TD_LRM = 0x200E
| The next character acts like a left-to-right character.
static const WChar | CHAR_TD_RLM = 0x200F
| The next character acts like a right-to-left character.
static const WChar | CHAR_TD_LRE = 0x202A
| The following text is embedded left-to-right.
static const WChar | CHAR_TD_RLE = 0x202B
| The following text is embedded right-to-left.
static const WChar | CHAR_TD_LRO = 0x202D
| Force the following characters to be treated as left-to-right characters.
static const WChar | CHAR_TD_RLO = 0x202E
| Force the following characters to be treated as right-to-left characters.
static const WChar | CHAR_TD_PDF = 0x202C
| Restore the text-direction state to before the last LRE, RLE, LRO or RLO.

## Detailed Description

Types for strings.

Definition in file string_type.h.

## Define Documentation

#define LRM "\xE2\x80\x8E"

A left-to-right marker, marks the next character as left-to-right.

Definition at line 19 of file string_type.h.

Referenced by IConsoleWindow::OnKeyPress().

#define NBSP "\xC2\xA0"

A non-breaking space.

Definition at line 16 of file string_type.h.

## Enumeration Type Documentation

enum CharSetFilter

Valid filter types for IsValidChar.

Enumerator:

  CS_ALPHANUMERAL | Both numeric and alphabetic and spaces and stuff.
  CS_NUMERAL | Only numeric ones.
  CS_NUMERAL_SPACE | Only numbers and spaces.
  CS_ALPHA | Only alphabetic values.

Definition at line 24 of file string_type.h.